/*
 * @Author: error: git config user.name && git config user.email & please set dead value or install git
 * @Date: 2022-11-23 10:58:59
 * @LastEditors: error: git config user.name && git config user.email & please set dead value or install git
 * @LastEditTime: 2022-11-24 09:44:58
 * @FilePath: \ruoyi-ui\src\api\plotmanage\plot.js
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import request from '@/utils/request'

// 查询小区管理列表
export function listPlot(query) {
  return request({
    url: '/plotmanage/plot/list',
    method: 'get',
    params: query
  })
}

// 查询小区管理详细
export function getPlot(id) {
  return request({
    url: '/plotmanage/plot/' + id,
    method: 'get'
  })
}

// 新增小区管理
export function addPlot(data) {
  return request({
    url: '/plotmanage/plot',
    method: 'post',
    data: data
  })
}

// 修改小区管理
export function updatePlot(data) {
  return request({
    url: '/plotmanage/plot',
    method: 'put',
    data: data
  })
}

// 删除小区管理
export function delPlot(id) {
  return request({
    url: '/plotmanage/plot' + id,
    method: 'delete'
  })
}
